https://github.com/sunweaver/brisk-menu/commit/3cab9d1fc7b2ca500c7d3276e17b256f395e0126

--- brisk-menu-0.5.0.orig/data/meson.build
+++ brisk-menu-0.5.0/data/meson.build
@@ -12,6 +12,22 @@
     ],
 )
 
+# libsaver_glue provides dbus code for the MATE screensaver
+libsaver_glue = gnome.gdbus_codegen(
+    'libsaver-glue',
+    'org.mate.ScreenSaver.xml',
+    interface_prefix : 'org.mate.',
+    namespace : 'Mate',
+)
+
+# libsession_glue provides dbus code for the MATE/GNOME session
+libsession_glue = gnome.gdbus_codegen(
+    'libsession-glue',
+    'org.gnome.SessionManager.xml',
+    interface_prefix : 'org.gnome.',
+    namespace : 'Gnome',
+)
+
 icons = [
     'brisk_system-log-out-symbolic.svg',
 ]
--- /dev/null
+++ brisk-menu-0.5.0/data/org.gnome.SessionManager.xml
@@ -0,0 +1,15 @@
+<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
+                      "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
+<!-- GDBus 2.48.1 -->
+<node>
+  <interface name="org.gnome.SessionManager">
+    <method name="Shutdown"/>
+    <method name="Reboot"/>
+    <method name="CanShutdown">
+      <arg type="b" name="is_available" direction="out"/>
+    </method>
+    <method name="Logout">
+      <arg type="u" name="mode" direction="in"/>
+    </method>
+  </interface>
+</node>
--- /dev/null
+++ brisk-menu-0.5.0/data/org.mate.ScreenSaver.xml
@@ -0,0 +1,11 @@
+<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
+"http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
+<node>
+  <interface name="org.mate.ScreenSaver">
+    <method name="Lock">
+    </method>
+    <method name="GetActive">
+      <arg name="value" direction="out" type="b"/>
+    </method>
+  </interface>
+</node>
--- brisk-menu-0.5.0.orig/src/frontend/meson.build
+++ brisk-menu-0.5.0/src/frontend/meson.build
@@ -24,6 +24,7 @@
 
 libfrontend_includes = [
     include_directories('.'),
+    include_directories('../../data'),
 ]
 
 # Contains the main Brisk UI (Windowed)
--- brisk-menu-0.5.0.orig/src/meson.build
+++ brisk-menu-0.5.0/src/meson.build
@@ -18,14 +18,36 @@
     ],
 )
 
+# Build the Cs into a simple static library and control compiler noise
+libsession_stub = static_library(
+    'brisk-glue',
+    sources: [
+        libsaver_glue,
+        libsession_glue,
+    ],
+    c_args: [
+        '-Wno-unused-parameter',
+    ],
+    dependencies: dep_gio_unix,
+    install: false,
+)
+
+# Allow linking to the stub
+link_libsession_stub = declare_dependency(
+    link_with: libsession_stub,
+    dependencies: [
+        dep_gio_unix,
+    ],
+    include_directories: [
+        include_directories('.'),
+    ],
+)
+
 # Build common library (currently just keybinder really.)
 subdir('lib')
 
 # Build the backend component
 subdir('backend')
-
-# Build session glue to help the frontend out
-subdir('session')
 
 # Now build our main UI
 subdir('frontend')
--- brisk-menu-0.5.0.orig/src/session/meson.build
+++ /dev/null
@@ -1,40 +0,0 @@
-# libsaver_glue provides dbus code for the MATE screensaver
-libsaver_glue = gnome.gdbus_codegen(
-    'libsaver-glue',
-    'org.mate.ScreenSaver.xml',
-    interface_prefix : 'org.mate.',
-    namespace : 'Mate',
-)
-
-# libsession_glue provides dbus code for the MATE/GNOME session
-libsession_glue = gnome.gdbus_codegen(
-    'libsession-glue',
-    'org.gnome.SessionManager.xml',
-    interface_prefix : 'org.gnome.',
-    namespace : 'Gnome',
-)
-
-# Build the Cs into a simple static library and control compiler noise
-libsession_stub = static_library(
-    'brisk-glue',
-    sources: [
-        libsaver_glue,
-        libsession_glue,
-    ],
-    c_args: [
-        '-Wno-unused-parameter',
-    ],
-    dependencies: dep_gio_unix,
-    install: false,
-)
-
-# Allow linking to the stub
-link_libsession_stub = declare_dependency(
-    link_with: libsession_stub,
-    dependencies: [
-        dep_gio_unix,
-    ],
-    include_directories: [
-        include_directories('.'),
-    ],
-)
--- brisk-menu-0.5.0.orig/src/session/org.gnome.SessionManager.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
-                      "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
-<!-- GDBus 2.48.1 -->
-<node>
-  <interface name="org.gnome.SessionManager">
-    <method name="Shutdown"/>
-    <method name="Reboot"/>
-    <method name="CanShutdown">
-      <arg type="b" name="is_available" direction="out"/>
-    </method>
-    <method name="Logout">
-      <arg type="u" name="mode" direction="in"/>
-    </method>
-  </interface>
-</node>
--- brisk-menu-0.5.0.orig/src/session/org.mate.ScreenSaver.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
-"http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
-<node>
-  <interface name="org.mate.ScreenSaver">
-    <method name="Lock">
-    </method>
-    <method name="GetActive">
-      <arg name="value" direction="out" type="b"/>
-    </method>
-  </interface>
-</node>
